
_LANG =
	{
	
		ACTIVE = { 
			ENGLISH="All /roll in progress..."; 
			FRENCH="Les /d en cours..."; 
			GERMAN="*";  };
		AUTOCLOSE= { 
			ENGLISH="Close"; 
			FRENCH="Fermer"; 
			GERMAN="*";  };
		AUTOCOMBAT= { 
			ENGLISH="Auto init."; 
			FRENCH="Reinit auto."; 
			GERMAN="*";  };
		AUTOOPEN= { 
			ENGLISH="Open"; 
			FRENCH="Ouvr."; 
			GERMAN="*";  };
		COMMAND= { 
			ENGLISH="rolls"; 
			FRENCH="ds"; 
			GERMAN="*";  };
		ENDDTH = { 
			ENGLISH=", ended at "; 
			FRENCH=", termin  "; 
			GERMAN="*";  };
		FIRST= { 
			ENGLISH="Keep 1st"; 
			FRENCH="Garde 1er"; 
			GERMAN="*";  };
		INIT= { 
			ENGLISH="Reset"; 
			FRENCH="Reinit"; 
			GERMAN="*";  };
		NEWROUND= { 
			ENGLISH="A new /roll round is ready"; 
			FRENCH="Un nouveau tour de /d est prt"; 
			GERMAN="*";  };
		STARTDTH = { 
			ENGLISH="Started at "; 
			FRENCH="Commenc  "; 
			GERMAN="*";  };
		TTAUTOCLOSE= { 
			ENGLISH="If checked, window is automatically close when combat starts"; 
			FRENCH="Si coch, ferme automatiquement la fentre ds le dbut de combat"; 
			GERMAN="*";  };
		TTAUTOCOMBAT= { 
			ENGLISH="If checked, a new round is automatically started when combat ends"; 
			FRENCH="Si coch, recommence une nouvelle liste de /d en fin de combat"; 
			GERMAN="*";  };
		TTAUTOOPEN= { 
			ENGLISH="If checked, window is automatically open when a /roll is done"; 
			FRENCH="Si coch, ouvre la fentre ds qu'un /d est lanc"; 
			GERMAN="*";  };
		TTDTH = { 
			ENGLISH="Start & end time of the round"; 
			FRENCH="Heure de dbut et fin du tour de ds"; 
			GERMAN="*";  };
		TTFIRST = { 
			ENGLISH="If checked, the first roll is kept to sort the list; next rolls are used when first are equals"; 
			FRENCH="Si coch, le premier /d est utilis pour trier, les suivants pour dpartager"; 
			GERMAN="*";  };
		TTINIT = { 
			ENGLISH="Start a new round"; 
			FRENCH="Crer un nouveau tour de /d"; 
			GERMAN="*";  };
		TTNEXT = { 
			ENGLISH="Click here to display next /roll round"; 
			FRENCH="Cliquez ici pour afficher le tour suivant de /d"; 
			GERMAN="*";  };
		TTPREV = { 
			ENGLISH="Click here to display previous /roll round"; 
			FRENCH="Cliquez ici pour afficher le tour prcdent de /d"; 
			GERMAN="*";  };
		TTROLLMSG = {  
			ENGLISH=" do a /roll "; 
			FRENCH="  a fait un /d "; 
			GERMAN="*";  };
		RATIO = {  
			ENGLISH="ratio is "; 
			FRENCH="le ratio est "; 
			GERMAN="*";  };
		ROLLMSG = {  --- Warning, space at start is mandatory !!
			ENGLISH=" rolled ("; 
			FRENCH=" a obtenu ("; 
			GERMAN="*";  };
		USAGE= { 
			ENGLISH="Usage: /rolls to show rolls history"; 
			FRENCH="Utilisation: /ds pour afficher l'historique des /d"; 
			GERMAN="*";  };
		WINTITLE= { 
			ENGLISH="/Roll tracker"; 
			FRENCH="Pisteur de /d"; 
			GERMAN="*";  };
	};



function getLang(l)
	local ret = {};
	for k,v in pairs(_LANG) do
		ret[k] = ToUTF8(v[l]);
		if ret[k]=="*" then
			ret[k] = ToUTF8(v["ENGLISH"]);
		end
		if ret[k]=="*" then
			ret[k] = ToUTF8(v["FRENCH"]);
		end
	end
	return ret;
end



